
if g_specializationManager:getSpecializationByName("DarkExhaustSmoke") == nil then
    g_specializationManager:addSpecialization('darkExhaustSmoke', 'DarkExhaustSmoke', Utils.getFilename('scripts/DarkExhaustSmoke.lua', g_currentModDirectory), nil)
end

for vehicleTypeName, vehicleType in pairs(g_vehicleTypeManager.types) do 
    if vehicleType ~= nil and not SpecializationUtil.hasSpecialization(DarkExhaustSmoke, vehicleType.specializations) and SpecializationUtil.hasSpecialization(Motorized, vehicleType.specializations) then
        g_vehicleTypeManager:addSpecialization(vehicleTypeName, 'darkExhaustSmoke')
    end
end
